pax-utils-1.2.2-lp150.2.1.x86_64.rpm


Advertisement

Description

pax-utils - Tools to Check ELF Files for Security Relevant Properties

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Oss all
Package filename pax-utils-1.2.2-lp150.2.1.x86_64.rpm
Package name pax-utils
Package version 1.2.2
Package release lp150.2.1
Package architecture x86_64
Package type rpm
Category Productivity/Security
Homepage http://www.gentoo.org/proj/en/hardened/pax-utils.xml
License GPL-2.0+
Maintainer -
Download size 86.63 KB
Installed size 253.18 KB
Tools to check ELF files for security relevant properties such as
non-executable stack.

Alternatives

Package Version Architecture Repository
pax-utils-1.2.2-lp150.116.1.x86_64.rpm 1.2.2 x86_64 Security
pax-utils - - -

Requires

Name Value
/bin/bash -
libc.so.6(GLIBC_2.14)(64bit) -

Provides

Name Value
pax-utils = 1.2.2-lp150.2.1
pax-utils(x86-64) = 1.2.2-lp150.2.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package pax-utils-1.2.2-lp150.2.1.x86_64.rpm
Source Package pax-utils-1.2.2-lp150.2.1.src.rpm

Install Howto

Install pax-utils rpm package:

# zypper install pax-utils

Files

Path
/usr/bin/dumpelf
/usr/bin/lddtree
/usr/bin/pspax
/usr/bin/scanelf
/usr/bin/scanmacho
/usr/bin/symtree
/usr/share/doc/packages/pax-utils/BUGS
/usr/share/doc/packages/pax-utils/README.md
/usr/share/doc/packages/pax-utils/TODO
/usr/share/man/man1/dumpelf.1.gz
/usr/share/man/man1/pspax.1.gz
/usr/share/man/man1/scanelf.1.gz
/usr/share/man/man1/scanmacho.1.gz

Changelog

2018-01-18 - dimstar@opensuse.org
- Drop unknown parameter "-q" from autosetup.
2017-02-27 - lnussel@suse.de
- update to 1.2.2
* misc fd and memory leak fixes
Add patches from git (boo#1026959)
0004-scanelf-check-range-of-hash-bucket.patch
0003-dumpelf-check-for-invalid-notes.patch
0001-dumpelf-check-for-invalid-section-entry-sizes.patch
0002-dumpelf-check-for-invalid-program-headers.patch
2016-11-03 - aloisio@gmx.com
- Update to 1.1.6 (no changelog found)
- Spec cleanup
- Dropped pax-utils-file-contains-date-and-time.patch
2015-02-09 - crrodriguez@opensuse.org
- Pax utils 0.9.2, no changelog found
- Update source URL.
- Switch to autoconf based build
- pax-utils-file-contains-date-and-time.patch: Do not
include time stamps in binaries
- pax-utils-handle-lib64.patch replaces pax-utils-lib64.patch
2013-08-19 - crrodriguez@opensuse.org
- pax-utils-lib64.patch: scanelf -l does not scan lib64 as
it should in x86_64
2009-06-19 - coolo@novell.com
- disable as-needed for this package as it fails to build with it
2008-04-01 - lnussel@suse.de
- new version 0.1.16
* mostly manpage and portability improvements
2007-01-26 - lnussel@suse.de
- new version 0.1.15
* Support added for displaying em_machine via %a format flag in scanelf
* Make scanelf_file_bind() not output anything if quiet mode and the ELF is
static or not setuid.
* pspax: new options -u and -g
2006-11-14 - lnussel@suse.de
- new version 0.1.13
* supports scanning archives and searching for specific sections
2006-01-25 - mls@suse.de
- converted neededforbuild to BuildRequires

See Also

Package Description
pbm2l7k-990321-lp150.929.3.x86_64.rpm Driver for Lexmark Printers 7000, 7200, and 5700
pbuilder-0.215-lp150.1.3.noarch.rpm Personal package builder for .deb packages
pbzip2-1.1.13-lp150.2.1.x86_64.rpm Parallelized Implementation of bzip2
pcapdump-0.17-lp150.1.3.x86_64.rpm Dump packets from the network
pcapinfo-0.17-lp150.1.3.x86_64.rpm Prints detailed information about the network devices
pcaudiolib-devel-1.0-lp150.2.1.x86_64.rpm Development files for libpcaudio0
pcb-4.0.2-lp150.1.12.x86_64.rpm CAD Program for the Design of Printed Circuit Boards
pcb-doc-4.0.2-lp150.1.12.noarch.rpm Documentation for PCB, An interactive printed circuit board editor
pcc-1.0.0-lp150.1.10.x86_64.rpm Portable and Fast C Compiler
pcfclock-0.44-lp150.1.36.x86_64.rpm Pcfclock kernel driver
pcfclock-kmp-default-0.44_k4.12.14_lp150.11-lp150.1.36.x86_64.rpm Pcfclock kernel driver
pciutils-3.5.6-lp150.1.6.x86_64.rpm PCI utilities for the Linux Kernel
pciutils-devel-3.5.6-lp150.1.6.x86_64.rpm Library and Include Files of the PCI utilities
pciutils-devel-32bit-3.5.6-lp150.1.6.x86_64.rpm Library and Include Files of the PCI utilities
pciutils-ids-20171206-lp150.1.3.noarch.rpm PCI utilities's pci.ids database
Advertisement
Advertisement